> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bookeeping.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connections

> Get Connections



## OpenAPI

````yaml /api-reference/openapi.json get /v1/connections
openapi: 3.0.3
info:
  title: Bookeeping.ai API
  version: 1.0.0
  description: API for accessing and managing bookkeeping.ai data.
servers:
  - url: https://api.bookeeping.ai/public-api
    description: USA Virginia Region
  - url: https://ca-api.bookeeping.ai/public-api
    description: Canada Toronto Region
  - url: https://eu-api.bookeeping.ai/public-api
    description: EU Belgium Region
security:
  - BearerAuth: []
paths:
  /v1/connections:
    get:
      tags:
        - Connections
      summary: Get Connections
      description: Get Connections
      operationId: getConnections
      parameters:
        - name: provider
          in: query
          required: false
          description: The provider to filter the connections by
          schema:
            type: string
            enum:
              - plaid
              - stripe
              - api-hook
              - shopify
      responses:
        '200':
          description: Get Connections executed successfully
          headers:
            x-rate-limiter-daily-limit:
              description: Maximum number of requests allowed per day
              schema:
                type: integer
                example: 1500
            x-rate-limiter-minutely-limit:
              description: Maximum number of requests allowed per minute
              schema:
                type: integer
                example: 25
            x-rate-limiter-daily-usage:
              description: Number of requests made today
              schema:
                type: integer
                example: 106
            x-rate-limiter-minutely-usage:
              description: Number of requests made in the current minute
              schema:
                type: integer
                example: 1
            x-rate-limiter-operation-type:
              description: Operation type. Either read or write.
              schema:
                type: string
                enum:
                  - read
                  - write
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Success message
                  metaData:
                    type: object
                    properties:
                      warnings:
                        type: array
                        items:
                          type: string
                        description: Any validation warnings
                  data:
                    type: object
                    properties:
                      connections:
                        type: array
                        items:
                          type: object
                          properties:
                            _id:
                              type: string
                              description: The id of the connection
                            projectId:
                              type: string
                              description: The project id of the connection
                            provider:
                              type: string
                              enum:
                                - plaid
                                - stripe
                                - api-hook
                                - shopify
                              description: The provider of the connection
                            connectionName:
                              type: string
                              nullable: true
                              description: >-
                                The name of the connection, usually the
                                institution name
                            hasError:
                              type: boolean
                              description: >-
                                Whether the connection is broken and needs to be
                                reconnected
                            error:
                              type: string
                              nullable: true
                              description: The error of the connection, if any
                            lastSyncDate:
                              type: string
                              format: date-time
                              nullable: true
                              description: >-
                                The last time transactions were synced from the
                                provider
                            accounts:
                              type: array
                              items:
                                type: object
                                properties:
                                  _id:
                                    type: string
                                    description: The id of the account
                                  projectId:
                                    type: string
                                    description: The project id of the account
                                  nickName:
                                    type: string
                                    nullable: true
                                    description: The nickname of the account
                                  accountName:
                                    type: string
                                    nullable: true
                                    description: The account name of the account
                                  accountNumber:
                                    type: string
                                    nullable: true
                                    description: The account number of the account
                                  accountType:
                                    type: string
                                    enum:
                                      - Depository
                                      - Credit
                                      - Loan
                                      - Investment
                                      - Other
                                    description: The type of the account
                                  createdAt:
                                    type: string
                                    format: date-time
                                    description: The created at of the account
                                  updatedAt:
                                    type: string
                                    format: date-time
                                    description: The updated at of the account
                                required:
                                  - _id
                                  - projectId
                                  - accountType
                                  - createdAt
                                  - updatedAt
                                additionalProperties: false
                              description: The accounts linked to the connection
                            createdAt:
                              type: string
                              format: date-time
                              description: The created at of the connection
                            updatedAt:
                              type: string
                              format: date-time
                              description: The updated at of the connection
                          required:
                            - _id
                            - projectId
                            - provider
                            - connectionName
                            - hasError
                            - error
                            - lastSyncDate
                            - accounts
                            - createdAt
                            - updatedAt
                          additionalProperties: false
                        description: The connections
                      count:
                        type: number
                        description: The count of the connections
                    required:
                      - connections
                      - count
                    additionalProperties: false
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - BadRequestError
                  message:
                    type: string
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - UnauthorizedError
                  message:
                    type: string
        '409':
          description: Conflict - Resource already exists
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - ConflictError
                  message:
                    type: string
        '429':
          description: >-
            Too Many Requests - Rate limit exceeded. Either daily or minutely
            limit exceeded. If you have any questions, please contact
            support@bookeeping.ai.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - TooManyRequestsError
                  message:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API key for authentication. Get your key from the Dashboard > Settings >
        API Access.

````